Bug 108291 - Formatting (Styles) toolbar not persistent
Summary: Formatting (Styles) toolbar not persistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
Depends on:
Blocks: Writer-Toolbar-Formatting-Styles Style-Formatting-Writer-Toolbar
  Show dependency treegraph
 
Reported: 2017-06-01 20:27 UTC by Thomas Lendo
Modified: 2018-04-15 19:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-06-01 20:27:19 UTC
The new Formatting (Styles) toolbar of bug 106781 disappears with every exit of LibreOffice.

- Open Writer
- Activate View > Toolbars > Formatting (Styles)
- Exit Writer
- Open Writer again

Actual result:
Formatting (Styles) toolbar isn't activated any more.

Expected result:
The activation should be persistent.

No other toolbars are affected.

Affected versions:

5.4.x
and
5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-06-02 08:56:19 UTC
Yep. I think i know what is wrong. ;D
Comment 2 Yousuf Philips (jay) (retired) 2017-06-02 09:16:39 UTC
This should fix it - https://gerrit.libreoffice.org/38340
Comment 3 Commit Notification 2017-06-02 09:17:31 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d2c9d9c6fa592d83a5236a4b9626ad2c1e8c408

tdf#108291 Make style formatting toolbar not contextual

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-03 11:42:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5e8f2f3eaa114b58c8fdebfb0a6be0f4b336e0a&h=libreoffice-5-4

tdf#108291 Make style formatting toolbar not contextual

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.